Package org.apache.calcite.avatica

## Class Meta.ConnectionHandle

- java.lang.Object
- - org.apache.calcite.avatica.Meta.ConnectionHandle

Enclosing interface:
  Meta

    public static class Meta.ConnectionHandle
    extends java.lang.Object

Connection handle.

### Field Summary

Fields
`java.lang.String` `id`

### Constructor Summary

Constructors
`ConnectionHandle​(java.lang.String id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### id

    public final java.lang.String id

### Constructor Detail

#### ConnectionHandle

    public ConnectionHandle​(java.lang.String id)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`